Package org.silverpeas.components.resourcesmanager.service

## Class ReservedResourceService

- java.lang.Object
- - org.silverpeas.components.resourcesmanager.service.ReservedResourceService

-     @Service
      public class ReservedResourceService
      extends Object

  Author:
    ehugonnet

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ReservedResourceService()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `create​(ReservedResource resource)` |
    `void` | `delete​(ReservedResource reservedResource)` |
    `List<ReservedResource>` | `findAllReservedResourcesOfReservation​(long currentReservationId)` |
    `List<ReservedResource>` | `findAllReservedResourcesWithProblem​(long currentReservationId, List<Long> futureReservedResourceIds, String startPeriod, String endPeriod)` |
    `ReservedResource` | `getReservedResource​(long resourceId, long reservationId)` |
    `void` | `update​(ReservedResource resource)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReservedResourceService

          public ReservedResourceService()

  - ### Method Detail

    - #### create

          public void create​(ReservedResource resource)

    - #### getReservedResource

          public ReservedResource getReservedResource​(long resourceId,
                                                      long reservationId)

    - #### update

          public void update​(ReservedResource resource)

    - #### delete

          public void delete​(ReservedResource reservedResource)

    - #### findAllReservedResourcesWithProblem

          public List<ReservedResource> findAllReservedResourcesWithProblem​(long currentReservationId,
                                                                            List<Long> futureReservedResourceIds,
                                                                            String startPeriod,
                                                                            String endPeriod)

    - #### findAllReservedResourcesOfReservation

          public List<ReservedResource> findAllReservedResourcesOfReservation​(long currentReservationId)